## org.apache.poi.hpsf
Class NoFormatIDException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.poi.hpsf.HPSFRuntimeException
                      org.apache.poi.hpsf.NoFormatIDException

All Implemented Interfaces:
  java.io.Serializable

    public class NoFormatIDException

extends HPSFRuntimeException

This exception is thrown if a `MutablePropertySet` is to be written but does not have a formatID set (see `MutableSection.setFormatID(ClassID)` or `MutableSection.setFormatID(byte[])`.

Author:
  Rainer Klute <klute@rainer-klute.de>
See Also:
  Serialized Form

Constructor Summary
`NoFormatIDException()` Constructor
`NoFormatIDException(java.lang.String msg)` Constructor
`NoFormatIDException(java.lang.String msg, java.lang.Throwable reason)` Constructor
`NoFormatIDException(java.lang.Throwable reason)` Constructor

Method Summary

Methods inherited from class org.apache.poi.hpsf.HPSFRuntimeException
`getReason, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoFormatIDException

    public NoFormatIDException()

  Constructor

### NoFormatIDException

    public NoFormatIDException(java.lang.String msg)

  Constructor

  Parameters:
    `msg` - The exception's message string

### NoFormatIDException

    public NoFormatIDException(java.lang.Throwable reason)

  Constructor

  Parameters:
    `reason` - This exception's underlying reason

### NoFormatIDException

    public NoFormatIDException(java.lang.String msg,
                               java.lang.Throwable reason)

  Constructor

  Parameters:
    `msg` - The exception's message string
    `reason` - This exception's underlying reason

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.